# 86. Užklausa: gauti „Ūkius“

Toliau pateikiamas pagrindinis GraphQL užklausos aprašymas, naudojamas visoms naudotojui prieinamoms „Ūkams“ gauti:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa FetchAllFarms {
  getFarms {
    uuid
    userUuid
    pavadinimas
    farmOwnership
    externalKey
    ownerEmail
    sukūrimoData
    updatedDate
  }
}
```

{% endcode %}

Be kitų parametrų, galite naudoti `farmUuids` ir `externalKeys` filtrus, kad pritaikytumėte atsakymą. Šie filtrai gali būti taikomi atskirai arba kartu, leidžiantys tikslingiau rinkti duomenis.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    pavadinimas
    farmOwnership
    externalKey
    ownerEmail
    sukūrimoData
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/86.-uzklausa-gauti-ukius.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
